cURL
curl --request GET \
--url https://app.flashquotes.com/api/invoice/{booking_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.flashquotes.com/api/invoice/{booking_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.flashquotes.com/api/invoice/{booking_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.flashquotes.com/api/invoice/{booking_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.flashquotes.com/api/invoice/{booking_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flashquotes.com/api/invoice/{booking_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"bookingId": "book_123",
"invoiceIds": [
"inv_456",
"inv_789"
],
"invoiceUrls": [
"https://app.flashquotes.com/invoices/encrypted/abc123",
"https://app.flashquotes.com/invoices/encrypted/def456"
]
}{
"message": "Invalid API key"
}{
"message": "Booking not found"
}Invoices
List Invoices
Retrieve invoice IDs and URLs associated with a booking
GET
/
api
/
invoice
/
{booking_id}
cURL
This endpoint returns the invoice IDs and encrypted invoice URLs associated with a specific booking.
Response
The response includes:bookingId: The ID of the bookinginvoiceIds: Array of invoice IDs associated with the bookinginvoiceUrls: Array of encrypted invoice URLs that can be used to access the invoices
Example Usage
Here’s an example of how to use this endpoint with curl:curl -X GET 'https://app.flashquotes.com/api/invoice/book_123' \
-H 'x-api-key: your_api_key_here'
Common Use Cases
- Retrieving invoice URLs for a booking
- Accessing invoice documents through encrypted URLs
- Tracking which invoices are associated with a booking
Authorizations
Path Parameters
ID of the booking to retrieve invoices for
Was this page helpful?

